Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.framework.structure.segment
Class MSA

    java.lang.Object
      com.stc.connector.hl7.framework.structure.component.GenericComponentImpl
          com.stc.connector.hl7.framework.structure.segment.GenericSegmentImpl
              com.stc.connector.hl7.framework.structure.segment.MSA

All Implemented Interfaces:
  Component, Segment

    public class MSA

extends GenericSegmentImpl
implements Segment

Represents an HL7 MSA message segment. This segment has the following fields:

MSA-1: Acknowledgement Code (ID)
MSA-2: Message Control ID (ST)
MSA-3: Text Message (ST)
MSA-4: Expected Sequence Number (NM)
MSA-5: Delayed Acknowledgment Type (ID)
MSA-6: Error Condition (CE)

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2005/09/03 06:28:38 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`MSA(Message message, Field[] fields)` Constructor for MSA.
`MSA(Message message, java.lang.String content)` Constructor for MSA.

Method Summary
`Field` | `getSeq00SegmentName()` Method getSeq00SegmentName.
`Field` | `getSeq01AcknowledgementCode()` Method getSeq01AcknowledgementCode.
`Field` | `getSeq02MessageControlID()` Method getSeq02MessageControlID.
`Field` | `getSeq03TextMessage()` Method getSeq03TextMessage.
`Field` | `getSeq04ExpectedSequenceNumber()` Method getSeq04ExpectedSequenceNumber.
`Field` | `getSeq05DelayedAcknowledgmentType()` Method getSeq05DelayedAcknowledgmentType.
`Field` | `getSeq06ErrorCondition()` Method getSeq06ErrorCondition.
`void` | `marshal()` Method marshal.
`void` | `unmarshal()` Method unmarshal.
`void` | `validate(ComponentSpec componentSpec)` Method validate.

Methods inherited from class com.stc.connector.hl7.framework.structure.segment.GenericSegmentImpl
`getFields, setFields, toXMLString`

Methods inherited from class com.stc.connector.hl7.framework.structure.component.GenericComponentImpl
`getContent, getMessage, getName, getStatus, setContent, setMessage, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.stc.connector.hl7.framework.structure.segment.Segment
`getFields`

Methods inherited from interface com.stc.connector.hl7.framework.structure.component.Component
`getContent, getMessage, getName, setContent, setName, toXMLString`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### MSA

    public MSA(Message message,
               java.lang.String content)
        throws HL7ApplicationException

  Constructor for MSA.

  Parameters:
    `message` -
    `content` -
  Throws:
    `HL7ApplicationException`

### MSA

    public MSA(Message message,
               Field[] fields)
        throws HL7ApplicationException

  Constructor for MSA.

  Parameters:
    `message` -
    `fields` -
  Throws:
    `HL7ApplicationException`

Method Detail

### marshal

    public void marshal()
                 throws HL7ApplicationException

  Description copied from interface: `Component`
  Method marshal. Marshal the corresponding structure into content. Once the structure is modified, to refresh the content against the modified structure, this method should be called.

  Specified by:
    `marshal` in interface `Component`
  Overrides:
    `marshal` in class `GenericSegmentImpl`
  Throws:
    `HL7ApplicationException`
  See Also:
    `Component.marshal()`

### unmarshal

    public void unmarshal()
                   throws HL7ApplicationException

  Description copied from interface: `Component`
  Method unmarshal. Un-Marshal the content into corresponding structure. Once the content is modified, to refresh the corresponding structure against the modified content, this method should be called.

  Specified by:
    `unmarshal` in interface `Component`
  Overrides:
    `unmarshal` in class `GenericSegmentImpl`
  Throws:
    `HL7ApplicationException`
  See Also:
    `Component.unmarshal()`

### getSeq00SegmentName

    public Field getSeq00SegmentName()

  Method getSeq00SegmentName.

  Returns:
    Field

### getSeq01AcknowledgementCode

    public Field getSeq01AcknowledgementCode()

  Method getSeq01AcknowledgementCode.

  Returns:
    Field

### getSeq02MessageControlID

    public Field getSeq02MessageControlID()

  Method getSeq02MessageControlID.

  Returns:
    Field

### getSeq03TextMessage

    public Field getSeq03TextMessage()

  Method getSeq03TextMessage.

  Returns:
    Field

### getSeq04ExpectedSequenceNumber

    public Field getSeq04ExpectedSequenceNumber()

  Method getSeq04ExpectedSequenceNumber.

  Returns:
    Field

### getSeq05DelayedAcknowledgmentType

    public Field getSeq05DelayedAcknowledgmentType()

  Method getSeq05DelayedAcknowledgmentType.

  Returns:
    Field

### getSeq06ErrorCondition

    public Field getSeq06ErrorCondition()

  Method getSeq06ErrorCondition.

  Returns:
    Field

### validate

    public void validate(ComponentSpec componentSpec)
                  throws HL7ApplicationException

  Description copied from interface: `Component`
  Method validate. This method is supposed to be called after "new xxxStructureImpl()", that is, "new GenericComponentImpl(...)", "new GenericDataTypeImpl(...)", "new GenericFieldImpl(...)", "new GenericSegmentImpl(...)", "new GenericMessageImpl(...)", "new MSH(...)", "new MSA(...)", "new ERR(...)", "new ACK(...)".

  Specified by:
    `validate` in interface `Component`
  Overrides:
    `validate` in class `GenericSegmentImpl`
  Throws:
    `HL7ApplicationException`
  See Also:
    `Component.validate(ComponentSpec)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD